Home

# Class goog.testing.StrictMock

This is a mock that verifies that methods are called in the order that they are specified during the recording phase. Since it verifies order, it follows 'fail fast' semantics. If it detects a deviation from the expectations, it will throw an exception and not wait for verify to be called.

extends goog.testing.Mock

Instance Method Summary
| `$recordCall(string name, ?Array args) ⇒ <Any Type>` Records an actual method call, intended to be overridden by a subclass. The subclass must find the pending expectation and return the correct value.
| `$recordExpectation()` Records the currently pending expectation, intended to be overridden by a subclass.
| `$reset()` Resets the state of this mock object. This clears all pending expectations without verifying, and puts the mock in recording mode.
| `$verify()` Verify that all of the expectations were met. Should be overridden by subclasses.